# Contributing to OX COI Messenger

At first thanks for you interest in helping in the development of OX COI Messenger and COI. Before contributing, please have a look at the following points.

## You have a question?
If you have a question regarding usage or implementation details please don't open an issue. First have a look into our [Wiki](https://github.com/open-xchange/ox-coi/wiki). You can also contact us via [coi-dev.org](https://www.coi-dev.org/) or via our [mailing list](mailto:dev-join@coi-dev.org). We are always happy to help people, but we have to keep the issue tracker as cleaned up as possible to maintain the overview.

## You found a bug?

If you found a bug please use our GitHub issue tracker. Verify first if the given issue doesn't already exists and after that create an issue with the [bug report template](https://github.com/open-xchange/ox-coi/issues/new?assignees=&labels=&template=bug_report.md). Please input as much information as possible, as this will hugely increase our possibilities to fix issues.

## You fixed a bug?

We are always happy about every line of contributed code. Please open a pull request and link it against the issue you are fixing. The pull request should contain a description about the fixed problem and the used approach. If possible provide tests for the adjusted code parts. Please adhere to our [coding guidelines](https://github.com/open-xchange/ox-coi/wiki/Coding-Guidelines).

## You want to suggest a feature?

If you have an idea for a feature use our GitHub issue tracker. First verify that there's no matching feature suggestion present and after that create an issue with the [feature request template](https://github.com/open-xchange/ox-coi/issues/new?assignees=&labels=&template=feature_request.md).

## You implemented a feature?

We are always happy about every line of contributed code. Please open a pull request and link it against the issue you implemented. The pull request should contain a description about the given implementation. New features should always be tested. Please adhere to our [coding guidelines](https://github.com/open-xchange/ox-coi/wiki/Coding-Guidelines).
